Page MenuHomePhabricator

mwdumper ends abruptly: java.io.IOException: jdbc4.MySQLIntegrityConstraintViolationException: Duplicate entry '133452270' for key 1
Closed, DeclinedPublicBUG REPORT

Description

Author: nahiljain

Description:
This is the output when I tried to run mwdumper on enwiki-latest-pages-articles.xml.bz2

I installed mwdumper and tried to run it on the file enwiki-latest-pages-articles.xml.bz2 .14000 pages were added succesfully and then it exited abruptly.
Error message :
at org.mediawiki.importer.XmlDumpReader.readDump(Unknown Source)

at org.mediawiki.dumper.Dumper.main(Unknown Source)

Please check the attached file nohup.out .
Please tell me how to get around this problem.


Version: unspecified
Severity: normal
OS: FreeBSD
Platform: Other

Attached:

Details

Reference
bz20029

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:47 PM
bzimport set Reference to bz20029.

Exception in thread "main" java.io.IOException: com.mysql.jdbc.exceptions.jdbc4.MySQLIntegrityConstraintViolationException: Duplicate entry '133452270' for key 1
at org.mediawiki.importer.XmlDumpReader.readDump(Unknown Source)
at org.mediawiki.dumper.Dumper.main(Unknown Source)
....
Exception in thread "main" java.io.IOException: java.sql.SQLException: Not a valid escape sequence:
(followed by an absurdly long line with string data)

The "Not a valid escape sequence" Exception should be fixed with r12972.

brooke set Security to None.
Aklapper renamed this task from mwdumper ends abruptly to mwdumper ends abruptly: java.io.IOException: jdbc4.MySQLIntegrityConstraintViolationException: Duplicate entry '133452270' for key 1.Apr 23 2016, 9:11 AM
Aklapper changed the subtype of this task from "Task" to "Bug Report".Feb 6 2022, 5:56 PM
hashar subscribed.

mwdumper is no more able to process dump generated since MediaWiki 1.31 (released in June 2018). The tool started in 2005 and is no more maintained, it is thus being archived, see T351228 for reference.